Bug 1142051 - Review Request: nodejs-xmldom - A W3C Standard XML DOM implementation and parser
Summary: Review Request: nodejs-xmldom - A W3C Standard XML DOM implementation and parser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-09-16 05:24 UTC by Parag Nemade
Modified: 2014-11-14 20:28 UTC (History)
2 users (show)

Fixed In Version: nodejs-xmldom-0.1.19-1.1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 17:16:31 UTC
Type: ---
tchollingsworth: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-16 05:24:16 UTC
Spec URL: https://paragn.fedorapeople.org/fedora-work/SPECS/nodejs-xmldom.spec
SRPM URL: https://paragn.fedorapeople.org/fedora-work/SRPMS/nodejs-xmldom-0.1.19-1.fc21.src.rpm
Description: A JavaScript implementation of W3C DOM for Node.js, Rhino and the browser. Fully compatible with W3C DOM level2; and some compatible with level3. Supports DOMParser and XMLSerializer interface such as in browser.

Fedora Account System Username: pnemade

Comment 2 T.C. Hollingsworth 2014-10-22 15:59:55 UTC
> %check
> %nodejs_symlink_deps --check

This is pointless unless you actually execute something below it.  For extra credit please add "BuildRequires: proof" and the test command `proof test */*/*.t.js` and comment it out or disable it all with a macro.  This way, the tests can be easily enabled later on if someone packages proof.

Everything else is legit and test issues are a SHOULD so APPROVED.

Comment 3 Parag Nemade 2014-10-22 17:40:51 UTC
Thanks T.C. Hollingsworth for this package review. I will follow your advice after importing the approved srpm.

New Package SCM Request
=======================
Package Name: nodejs-xmldom
Short Description:  A W3C Standard XML DOM implementation and parser 
Upstream URL:  https://github.com/jindw/xmldom
Owners: pnemade
Branches: f20 f21 epel7

Comment 4 Gwyn Ciesla 2014-10-22 19:04:54 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-10-24 06:35:43 UTC
nodejs-xmldom-0.1.19-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.fc20

Comment 6 Fedora Update System 2014-10-24 06:35:50 UTC
nodejs-xmldom-0.1.19-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.el7

Comment 7 Fedora Update System 2014-10-24 06:36:12 UTC
nodejs-xmldom-0.1.19-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.fc21

Comment 8 Fedora Update System 2014-10-27 08:17:51 UTC
nodejs-xmldom-0.1.19-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Parag Nemade 2014-10-29 15:51:27 UTC
Package Change Request
======================
Package Name: nodejs-chainsaw
New Branches: f19 el6
Owners: pnemade

Comment 10 Parag Nemade 2014-10-29 15:52:03 UTC
oops corrected now

Package Change Request
======================
Package Name: nodejs-xmldom
New Branches: f19 el6
Owners: pnemade

Comment 11 Gwyn Ciesla 2014-10-29 16:09:59 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-10-29 16:52:29 UTC
nodejs-xmldom-0.1.19-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.fc19

Comment 13 Fedora Update System 2014-10-29 16:59:24 UTC
nodejs-xmldom-0.1.19-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.el6

Comment 14 Fedora Update System 2014-10-30 16:17:26 UTC
nodejs-xmldom-0.1.19-1.1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-xmldom-0.1.19-1.1.el6

Comment 15 Fedora Update System 2014-11-01 17:16:31 UTC
nodejs-xmldom-0.1.19-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2014-11-07 02:32:25 UTC
nodejs-xmldom-0.1.19-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 17 Fedora Update System 2014-11-10 06:22:51 UTC
nodejs-xmldom-0.1.19-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 18 Fedora Update System 2014-11-12 23:19:27 UTC
nodejs-xmldom-0.1.19-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 19 Fedora Update System 2014-11-14 20:28:02 UTC
nodejs-xmldom-0.1.19-1.1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.